.list-reset {
	margin: 0;
	padding: 0;
	list-style-type: none;
}

.button-reset {
	background: none;
	border: none;
	padding: 0;
	cursor: pointer;
	transition: 0.3s all ease-in-out;
}

[data-expander-target] {
	display: none;
}

[data-expander-overlay] .js-data-toggled [id] {
	position: relative;
	z-index: 1000;
}

.bottom-border {
	position: relative;
}

.bottom-border::before {
	content: "";
	position: absolute;
	bottom: 0;
	left: 0;
	width: 100%;
	height: 9.5px;
	transition: 0.3s all ease-in-out;
	background: linear-gradient(90deg, var(--primary-blue) 0%, rgba(0, 121, 255, 0.2) 100%);
}

.section-tag {
	border: 1px solid var(--secondary-green);
	text-align: center;
	padding: 6.5px 9px;
	min-width: 154px;
	margin-bottom: 0;
	display: inline-block;
	font-size: 1.125rem;
	letter-spacing: -0.45px;
	width: fit-content;
}

.section-tag--white {
	border: 1px solid rgba(255, 255, 255, 0.9);
	background: rgba(255, 255, 255, 0.1);
	box-shadow: 0 4px 10px 0 rgba(0, 0, 0, 0.05);
	backdrop-filter: blur(7px);
}

.section-tag--ceal {
	border-color: var(--secondary-green);
}

[data-card-item] {
	cursor: pointer;

	[data-card-hovers] {
		transition: 0.3s all ease-in-out;
	}

	.products-listing__wrapper--bordered::before {
		opacity: 1;
	}

	.products-listing__cta--focused {
		color: white;
		background: var(--secondary-green);
	}

	.products-listing__cta--focused .button__icon,
	.products-listing__cta--focused .button__icon {
		transform: translateX(3px);
	}

	.hero-navigation__cta--focused {
		color: white;
		background: var(--secondary-green);
	}

	.hero-navigation__cta--focused .button__icon,
	.hero-navigation__cta--focused .button__icon {
		transform: translateX(3px);
	}

	.hero-navigation__wrapper--bordered {
		box-shadow: 4px 4px 4px 0 rgba(0, 0, 0, 0.25);
	}
	.hero-navigation__wrapper--bordered:before {
		background: linear-gradient(
			90deg,
			var(--secondary-green) 0%,
			rgba(60, 161, 0, 0.5) 100%
		);
	}
}

.video-controls-toggle {
	position: absolute;
	bottom: 15px;
	right: 10px;
	z-index: 20;
	background: white;
	border-radius: 5px;
	padding: 10px;
	display: flex;
	align-items: center;
	justify-content: center;
	color: black;
}

.video-controls-toggle:hover,
.video-controls-toggle:focus {
	color: white;
	background: black;
	outline: 1px solid white;
}

.video-controls-toggle__icon {
	fill: currentColor;
}

.video-controls-toggle__popup {
	position: absolute;
	bottom: 50px;
	right: 50px;
	background: white;
	z-index: 20;
	padding: 20px;
	border-radius: 5px;
	border: 1px solid var(--primary-blue);
    box-shadow: 4px 4px 4px 0 rgba(0, 86, 184, 0.25);
}

.video-controls-toggle__container {
	display: flex;
	flex-wrap: wrap;
	gap: 15px;
}

/* ================================================================
   animations
   ================================================================ */

@keyframes slide-in-left {
	0% {
		transform: translateX(-60px);
		opacity: 0;
	}
	75% {
		opacity: 0.75;
	}
	100% {
		transform: translateX(0);
		opacity: 1;
	}
}

@keyframes slide-out-left {
	0% {
		transform: translateX(0);
		opacity: 1;
	}
	100% {
		transform: translateX(-60px);
		opacity: 0;
	}
}

@keyframes slide-in-right {
	0% {
		transform: translateX(60px);
		opacity: 0;
	}
	75% {
		opacity: 0.75;
	}
	100% {
		-webkit-transform: translateX(0);
		transform: translateX(0);
		opacity: 1;
	}
}

@keyframes slide-in-top {
	0% {
		transform: translateY(-60px);
		opacity: 0;
	}
	75% {
		opacity: 0.75;
	}
	100% {
		transform: translateY(0);
		opacity: 1;
	}
}

@keyframes slide-in-bottom {
	0% {
		transform: translateY(-60px);
		opacity: 0;
	}
	75% {
		opacity: 0.75;
	}
	100% {
		transform: translateY(0);
		opacity: 1;
	}
}

[has-scroll-animations] {
	overflow: hidden;

	.come-left {
		opacity: 0;
		transform: translateX(-60px);
	}

	.come-left.active-scroll {
		animation: slide-in-left 0.3s ease-in-out forwards;
	}

	.come-right {
		opacity: 0;
		transform: translateX(60px);
	}

	.come-right.active-scroll {
		animation: slide-in-right 0.3s ease-in-out forwards;
		animation-delay: 200ms;
	}

	.come-down {
		opacity: 0;
		transform: translateY(-60px);
	}

	.come-down.active-scroll {
		animation: slide-in-bottom 0.3s ease-in-out forwards;
		animation-delay: 200ms;
	}

	.come-up {
		opacity: 0;
		transform: translateY(60px);
	}

	.come-up.active-scroll {
		animation: slide-in-top 0.3s ease-in-out forwards;
	}
}

@media (min-width: 48em) {
	.bottom-border::before {
		height: 14px;
	}

	.video-controls-toggle { 
		top: 10px;  
		bottom: initial;
	}  

	.video-controls-toggle__popup { 
		top: 50px; 
		bottom: initial;
	} 
}
